plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'org.jetbrains.kotlin.plugin.compose'
}

android {
    namespace 'ru.forbion.f7cloud.feature.files'
    compileSdk 36

    defaultConfig {
        minSdk 26
    }
    buildFeatures {
        compose true
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = '17'
    }
}

dependencies {
    implementation project(':core:auth')
    implementation project(':core:database')
    implementation project(':core:network')
    implementation project(':core:designsystem')

    def composeBom = platform(libs.compose.bom)
    implementation composeBom
    implementation libs.compose.ui
    implementation libs.compose.material3
    implementation libs.compose.material.icons.extended
    implementation libs.compose.foundation
    implementation libs.lifecycle.viewmodel.compose
    implementation libs.coroutines.android
    implementation libs.json
    implementation libs.core.ktx
    implementation libs.activity.compose
    implementation libs.documentfile
    implementation libs.coil.compose
    implementation libs.coil.svg
    implementation libs.coil.gif
    implementation libs.media3.exoplayer
    implementation libs.media3.ui
}
